<?xml version="1.0" encoding="UTF-8"?>
<!--
Linkbase:  Taxonomía para Grupo 1 - Cierre de 2025:  2025-12-31 - Versión: 3
 Creada por la Superintendencia de Servicios Públicos Domiciliarios. 
 Archivos generados el: 2026/04/29 - 17:54
 Basada en: XBRL Versión 2.1. 





 Desarrollada por: 
                             Juan Carlos Rodríguez Rivera -  https://www.linkedin.com/in/juan-carlos-rodriguez-xbrl/ - jcoolcat@gmail.com - +57 3016662961
-->
<!-- Generated with Reporting Standard S.L. XBRL Taxonomy builder version 20.26.1.1483 - http://www.reportingstandard.com -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://www.superservicios.gov.co/xbrl/ifrs/2025-12-31/co-sspd_fc-01f_2025-12-31" xlink:href="../co-sspd_fc-01f_2025-12-31.xsd#co-sspd_fc-01f_2025-12-31"/>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.superservicios.gov.co/xbrl/ifrs/2025-12-31/co-sspd_fc-01f_2025-12-31">
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosDeProvisiones_FC01" xlink:label="lbl135971"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_LitigiosYDemandas" xlink:label="lbl135972"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="280.0" xlink:from="lbl135971" xlink:to="lbl135972"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_Garantias" xlink:label="lbl135973"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="290.0" xlink:to="lbl135973" xlink:from="lbl135971"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_Diversas" xlink:label="lbl135974"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="300.0" xlink:to="lbl135974" xlink:from="lbl135971"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_OtrosGastos_FC01" xlink:label="lbl135975"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_Comisiones" xlink:label="lbl135976"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="340.0" xlink:from="lbl135975" xlink:to="lbl135976"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_AjustePorDiferenciaEnCambio" xlink:label="lbl135977"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="350.0" xlink:to="lbl135977" xlink:from="lbl135975"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_Financieros" xlink:label="lbl135978"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="360.0" xlink:to="lbl135978" xlink:from="lbl135975"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_PerdidasPorAplicacionDelMetodoDeParticipacionPatrimonial" xlink:label="lbl135979"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="370.0" xlink:to="lbl135979" xlink:from="lbl135975"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosDiversos" xlink:label="lbl135980"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="380.0" xlink:to="lbl135980" xlink:from="lbl135975"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_Donaciones_FC01" xlink:label="lbl135981"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="390.0" xlink:to="lbl135981" xlink:from="lbl135975"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosBienesServiciosPublicosParaVenta_FC01" xlink:label="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosComprasBloqueLargoPlazo_FC01" xlink:label="lbl135983"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="440.0" xlink:from="lbl135982" xlink:to="lbl135983"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosComprasBolsaCortoPlazo_FC01" xlink:label="lbl135984"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="450.0" xlink:to="lbl135984" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosSuministroAguaPotableAguaBloque_FC01" xlink:label="lbl135985"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="460.0" xlink:to="lbl135985" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosConexion_FC01" xlink:label="lbl135986"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="470.0" xlink:to="lbl135986" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosUsoLineasRedesDuctos_FC01" xlink:label="lbl135987"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="480.0" xlink:to="lbl135987" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosDistribucionComercializacionGasCombustibleRedes_FC01" xlink:label="lbl135988"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="490.0" xlink:to="lbl135988" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosManejoComercialFinancieroServicio_FC01" xlink:label="lbl135989"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="500.0" xlink:to="lbl135989" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosDistribucionComercializacionGasLicuadoPetroleoGLP_FC01" xlink:label="lbl135990"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="510.0" xlink:to="lbl135990" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosContratoExplotacion_FC01" xlink:label="lbl135991"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="520.0" xlink:to="lbl135991" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_DetalleGastosAsociadosTransaccionesMercadoMayorista_FC01" xlink:label="lbl135992"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="530.0" xlink:to="lbl135992" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosContratoConcesion_FC01" xlink:label="lbl135993"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="540.0" xlink:to="lbl135993" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosOtros_FC01" xlink:label="lbl135994"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="550.0" xlink:to="lbl135994" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosAsociadosTransaccionesMercadoMinorista_FC01" xlink:label="lbl135995"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="560.0" xlink:to="lbl135995" xlink:from="lbl135982"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosLicenciasContribucionesRegalias_FC01" xlink:label="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosSecretariaDistritalDelMedioAmbiente_FC01" xlink:label="lbl135997"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="590.0" xlink:from="lbl135996" xlink:to="lbl135997"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosLey56de1981_FC01" xlink:label="lbl135998"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="600.0" xlink:to="lbl135998" xlink:from="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosMedioAmbienteLey99de1993_FC01" xlink:label="lbl135999"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="610.0" xlink:to="lbl135999" xlink:from="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosRegalIas_FC01" xlink:label="lbl136000"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="620.0" xlink:to="lbl136000" xlink:from="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosLicenciaOperacionServicio_FC01" xlink:label="lbl136001"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="630.0" xlink:to="lbl136001" xlink:from="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosFAZNI_FC01" xlink:label="lbl136002"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="640.0" xlink:to="lbl136002" xlink:from="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosFAER_FC01" xlink:label="lbl136003"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="650.0" xlink:to="lbl136003" xlink:from="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosCuotaFomentoGas_FC01" xlink:label="lbl136004"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="660.0" xlink:to="lbl136004" xlink:from="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosComiteEstratificacionLey5051999_FC01" xlink:label="lbl136005"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="670.0" xlink:to="lbl136005" xlink:from="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosConcesionesPermisosAmbientalesSanitarios_FC01" xlink:label="lbl136006"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="680.0" xlink:to="lbl136006" xlink:from="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosOtrasLicenciasLey142de1994_FC01" xlink:label="lbl136007"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="690.0" xlink:to="lbl136007" xlink:from="lbl135996"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosConsumoInsumosDirectos_FC01" xlink:label="lbl136008"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosProductosQuimicos_FC01" xlink:label="lbl136009"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="720.0" xlink:from="lbl136008" xlink:to="lbl136009"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosGasCombustible_FC01" xlink:label="lbl136010"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="730.0" xlink:to="lbl136010" xlink:from="lbl136008"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosCarbonMineral_FC01" xlink:label="lbl136011"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="740.0" xlink:to="lbl136011" xlink:from="lbl136008"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosEnergia_FC01" xlink:label="lbl136012"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="750.0" xlink:to="lbl136012" xlink:from="lbl136008"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosACPMFuelOil_FC01" xlink:label="lbl136013"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="760.0" xlink:to="lbl136013" xlink:from="lbl136008"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosOtrosElementosConsumoInsumosDirectos_FC01" xlink:label="lbl136014"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="770.0" xlink:to="lbl136014" xlink:from="lbl136008"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosDeVentasYDistribucion_FC01" xlink:label="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_EmployeeBenefitsExpense" xlink:label="lbl136016"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="200.0" xlink:from="lbl136015" xlink:to="lbl136016"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_Honorarios" xlink:label="lbl136017"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="210.0" xlink:to="lbl136017" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_ImpuestosTasasContribucionesNoIncluyeImpuestoRentaSinopsis" xlink:label="lbl136018"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="220.0" xlink:to="lbl136018" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_DetalleGastosGenerales_FC01" xlink:label="lbl136019"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="230.0" xlink:to="lbl136019" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_DetalleDeterioro_FC01" xlink:label="lbl136020"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="240.0" xlink:to="lbl136020" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_DetalleGastosDepreciaciones_FC01" xlink:label="lbl136021"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="250.0" xlink:to="lbl136021" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_Amortizacion_FC01" xlink:label="lbl136022"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="260.0" xlink:to="lbl136022" xlink:from="lbl136015"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="310.0" xlink:from="lbl136015" xlink:to="lbl135971"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_Arrendamientos_FC01" xlink:label="lbl136023"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="320.0" xlink:to="lbl136023" xlink:from="lbl136015"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="400.0" xlink:from="lbl136015" xlink:to="lbl135975"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_ImpuestoALasGananciasCorrientes" xlink:label="lbl136024"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="410.0" xlink:to="lbl136024" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_ImpuestoALasGananciasDiferido" xlink:label="lbl136025"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="420.0" xlink:to="lbl136025" xlink:from="lbl136015"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="570.0" xlink:from="lbl136015" xlink:to="lbl135982"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="700.0" xlink:from="lbl136015" xlink:to="lbl135996"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="780.0" xlink:from="lbl136015" xlink:to="lbl136008"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosOrdenesContratosMantenimientoReparaciones_FC01" xlink:label="lbl136026"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="790.0" xlink:to="lbl136026" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosPeajesTerrestres_FC01" xlink:label="lbl136027"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="800.0" xlink:to="lbl136027" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosDisposicionFinal_FC01" xlink:label="lbl136028"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="810.0" xlink:to="lbl136028" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosPeajesInterconexionAcueductos_FC01" xlink:label="lbl136029"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="820.0" xlink:to="lbl136029" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosPeajesInterconexionAlcantarillado_FC01" xlink:label="lbl136030"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="830.0" xlink:to="lbl136030" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosServiciosPublicos_FC01" xlink:label="lbl136031"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="840.0" xlink:to="lbl136031" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosMaterialesOtrosGastosOperacion_FC01" xlink:label="lbl136032"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="850.0" xlink:to="lbl136032" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosPerdidasPrestacionServicioAcueducto_FC01" xlink:label="lbl136033"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="860.0" xlink:to="lbl136033" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosSeguros_FC01" xlink:label="lbl136034"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="870.0" xlink:to="lbl136034" xlink:from="lbl136015"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_GastosOrdenesContratosOtrosServicios_FC01" xlink:label="lbl136035"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="880.0" xlink:to="lbl136035" xlink:from="lbl136015"/>
  </link:calculationLink>
</link:linkbase>